import Layout from '@/layout'
const packageMenu = {
  path: '/package',
  component: Layout,
  redirect: '/package',
  alwaysShow: true,
  name: '包裹管理',
  meta: {
    title: '包裹管理',
    icon: 'package',
    roles: ['admin', 'editor']
  },
  children: [
    {
      path: 'InboundPackage',
      component: resolve => require.ensure([], () => resolve(require('@/views/package/InboundPackage')), 'InboundPackage'),
      name: 'InboundPackage',
      meta: {
        title: '进港件',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default packageMenu
