import Layout from '@/layout'

const storeStaffMenu = {
  path: '/storeStaff',
  component: Layout,
  redirect: '/storeStaff',
  alwaysShow: true,
  name: '外派员管理',
  meta: {
    title: '外派员管理',
    icon: 'storeStaff',
    roles: ['admin', 'editor']
  },
  children: [
    {
      path: 'StoreStaffList',
      component: resolve => require.ensure([], () => resolve(require('@/views/staff/StoreStaffList')), 'StoreStaffList'),
      name: 'StoreStaffList',
      meta: {
        title: '外派员信息',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default storeStaffMenu
