import Layout from '@/layout'

const userMenu = {
  path: '/user',
  component: Layout,
  redirect: '/user',
  alwaysShow: true,
  name: '用户中心',
  meta: {
    title: '包裹管理',
    icon: 'package',
    roles: ['admin', 'editor']
  },
  hidden: true,
  children: [
    {
      path: 'userMsg',
      component: resolve => require.ensure([], () => resolve(require('@/views/user/index')), 'user'),
      name: 'userMsg',
      meta: {
        title: '个人信息',
        roles: ['admin', 'editor'] // 设置该路由进入的权限，支持多个权限叠加
      }
    }
  ]
}

export default userMenu
