import request from '@/utils/request'

/**
 * 根据快递公司进行统计 入库
 */
export function countGroupByCompany(params) {
  return request({
    url: '/statistics/expCompany',
    method: 'post',
    params: {
      ...params
    }
  })
}

/**
 * 根据快递公司进行统计 入库
 */
export function countGroupByStore(params) {
  return request({
    url: '/statistics/store',
    method: 'post',
    params: {
      ...params
    }
  })
}

/**
 * 根据快递公司进行统计 入库
 */
export function countGroupByStoreStaff(params) {
  return request({
    url: '/statistics/storeStaff',
    method: 'post',
    params: {
      ...params
    }
  })
}
