
// 自定义按钮权限判断指令(v-permission="'user:update'")
export default {
  inserted: function(el, binding) {
    const jsonStr = window.localStorage.getItem('permission')
    if (jsonStr) {
      const permission = JSON.parse(jsonStr)
      let show = false
      Array.from(permission).forEach(button => {
        if (button == binding.value) {
          show = true
          return
        }
      })
      if (!show) {
        el.parentNode.removeChild(el)
      }
    }
  }
}
