import { pustData, dateHandle } from '@/utils/validate'

/**
 * 短信发送记录列表查询条件处理
 * @param {Array} form
 * @returns {String}
 */
export function querySmsHandle(form, pageNumber, pageSize) {
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  form.startTime = form.dataTime[0]
  form.endTime = form.dataTime[1]
  return pustData(form)
}

/**
 * 公告列表查询条件处理
 * @param {Array} form
 * @returns {String}
 */
export function queryNoticeHandle(form, pageNumber, pageSize) {
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}
