import { pustData, dateHandle } from '@/utils/validate'

/**
 * 数据处理
 * @param form
 * @returns {*}
 */
export function logHandle(form, pageNumber, pageSize) {
  form.startTime = dateHandle(new Date(form.dataTime[0]))
  form.endTime = dateHandle(new Date(form.dataTime[1]))
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}

/**
 * file数据处理
 * @param form
 * @returns {*}
 */
export function fileHandle(form, pageNumber, pageSize) {
  form.pageNumber = pageNumber // 第几页，可不护传，默认第一页
  form.pageSize = pageSize // 每页多少条数据，可不传默认10条
  return pustData(form)
}
